﻿@model Tuple<List<ARGNS.Model.Implementations.View.UDF_ARGNS>, int>
<div class="table-responsive responsive table_cart" id="TableListItems">
    <table id="assets-data-table-ListItems" class="table display" style="width:100%;"></table>
    <script type="text/javascript">
        var assetListVM_ListItems;
        $(function () {
            assetListVM_ListItems = {
                dt: null,
                init: function () {
                    this.dt = $('#assets-data-table-ListItems').DataTable({
                        "autoWidth": true,
                        "serverSide": true,
                        "processing": true,
                        "data": null,
                        "dom": '<"top"lp>rt<"bottom"ip>',
                        "select": {
                            "style": 'os',
                            "selector": 'td:first-child'
                        },
                        "ajax": {
                            "url": "/PLM/CostSheet/_Items",
                            "type": 'POST',
                            "data": function (data) {
                                var mListSearchUDF = $("input[id^=SearchItemUDF_]");
                                var mListSearchUDFSelect = $("select[id^=SearchItemUDF_]");
                                var mMappedUDFList = [];
                                for (i = 0; i < mListSearchUDF.length; i++) {
                                    mMappedUDFList.push({
                                        UDFName: mListSearchUDF[i].id.substring(14),
                                        Value: $("#" + mListSearchUDF[i].id).val(),
                                    });
                                }
                                for (i = 0; i < mListSearchUDFSelect.length; i++) {
                                    mMappedUDFList.push({
                                        UDFName: mListSearchUDFSelect[i].id.substring(14),
                                        Value: $("#" + mListSearchUDFSelect[i].id).val(),
                                    });
                                }
                                data.pPageKey = $('#Pagekey').val();
                                data.pMappedUdf = mMappedUDFList;
                                data.pItemCode = $("#UDF_Code").val();
                                data.pItemName = $("#UDF_Name").val();
                                data.pCardCode = $("#txtCodeVendor").val();
                            }
                        },
                        "columns": [
                            { "title": "ItemCode", "data": "ItemCode", "name": "ItemCode" },
                            { "title": "ItemName", "data": "ItemName", "name": "ItemName" }
                            @if (Model.Item1.Count > 0)
                            {
                                foreach (var DictRow in Model.Item1)
                                {
                                    @:, { "title": "@DictRow.UDFDesc", "data": null, "name": "@DictRow.UDFName", "render": function (data, type, full, meta) { var mUDFObj = data.MappedUdf.filter(function (mUDF) { return mUDF.UDFName == "@DictRow.UDFName"; }); if (mUDFObj[0].Value != null) { if (mUDFObj[0].ListUFD1.length > 0) { var mUDF1Obj = mUDFObj[0].ListUFD1.filter(function (mUDF1) { return mUDF1.FldValue == mUDFObj[0].Value; }); return mUDF1Obj[0].Descr; } else { return mUDFObj[0].Value; } } else { return mUDFObj[0].Value; } } }
                                }
                            }
                            ,{
                                "title": "", "data": null, "orderable": false, "name": "ItemCode",
                                "render": function (data, type, full, meta) {
                                    return "<button type=\"button\" class=\"btn btn-primary btn-xs\" onclick=\"SetItemInRow('@Model.Item2','" + data.ItemCode + "','" + data.ItemName + "');\"><span class=\"glyphicon glyphicon-arrow-right\"></span> @PurchaseOrders.Select</button>";
                                }
                            }
                        ],
                        "lengthMenu": [[10, 25, 50, 100], [10, 25, 50, 100]],
                    });
                },
                refresh: function () {
                    this.dt.ajax.reload();
                }
            }
        });
    </script>
</div>